########################################################################
#                                                                      
# Introscope AutoProbe and Agent Configuration                         
#                                                                      
# CA Wily Introscope(R) Version 9.0 Release 9.0.7.1
# Copyright (c) 2011 CA. All Rights Reserved.
# Introscope(R) is a registered trademark of CA.
########################################################################

########################
# AutoProbe Properties #
#
# On/Off Switch
#
# ================
# This boolean property gives you the ability to disable
# Introscope AutoProbe by settings the property value
# to false.
# You must restart the managed application before changes to this property take effect.

introscope.autoprobe.enable=false


#######################
# Custom Log File Location
#
# ================
# Introscope AutoProbe will always attempt to log the changes
# it makes.  Set this property to move the location of the
# log file to something other than the default.  Non-absolute
# names are resolved relative to the location of this
# properties file.
# You must restart the managed application before changes to this property take effect.

introscope.autoprobe.logfile=logs/AutoProbe.log

# NativeProfiler will log information about the directives it read and the 
# method it instrumented in this log file.
introscope.nativeprofiler.logfile=logs/nativeprofiler.log

# NativeProfiler will list the instrumented byte-code if this property is
# set to true.  It is set to false by default.
#introscope.nativeprofiler.logBytecode=false

# NativeProfiler will log all methods noticed, even uninstrumented ones
# if this property is enabled. It is disabled by default
#introscope.nativeprofiler.logAllMethodsNoticed=false

##############################################
# Native Profiler Startup Bubble Improvement

# Following property if set to false, disables the ngen monitoring. 
#introscope.nativeprofiler.ngen.monitor.enabled=true

# Following property limits the cache size to the number of classes being cached.
# If the cache size is hit an entry of cache saturation will be logged in 
# nativeprofiler.log. Default value is 5000

#introscope.nativeprofiler.directivematching.cache.max.size=5000
##############################################

#######################
# Directives Files
#
# ================
# This property specifies all the directives files that determine
# how Introscope AutoProbe performs the instrumentation.  Specify
# a single entry, or a comma-delimited list of entries. The list 
# may include any combination of:
#    - directives (.pbd) files
#    - directives list (.pbl) files 
#    - directories that will be scanned for .pbd files. 
#      Directives files placed in a listed directory will be loaded automatically, 
#      without any need to edit this Agent profile.    
# Non-absolute names will be resolved relative to the location of 
# this properties file.
# IMPORTANT NOTE: This is a required parameter and it MUST be set
# to a valid value.  
#    - If the property is not specified or the values are invalid, 
#      the Introscope Agent will not run!  
#    - If the property is set to include a directory, and invalid 
#      directives files are placed in the directory, AutoProbe  
#      metrics will no longer be reported!
#    - If the property is set to include a directory, and loaded 
#      directives files are removed from the directory, AutoProbe  
#      metrics will no longer be reported!
# You must restart the managed application before changes to this property 
# take effect. 

introscope.autoprobe.directivesFile=default-full.pbl,hotdeploy

#######################
# AcceptController
# (AcceptController is only applicable on AutoProbe profiler.  It is NOT
# available with NativeProfiler)
#
# ================
# This property controls whether AcceptController will be enabled.  Accept-
# Controller is a feature that reduces application startup time.  It could
# be automatically turned off by using certain directives.  There is no
# functional effect of turning AcceptController on or off, only performance
# effects.
# By default, AcceptController is enabled in AutoProbe profiler.

#introscope.autoprobeconnector.acceptcontroller.enable=true


#######################
# Agent Properties    #
#######################


#################################
# Logging Configuration
#
# ================
# The following property points to the Log4Net config file
# You must restart the managed application before changes to this property take effect.

introscope.agent.log.config.path=logging.config.xml


#################################
# Enterprise Manager Connection Order
#
# ================
# The Enterprise Manager connection order list the Agent uses if it 
# is disconnected from its Enterprise Manager.
# You must restart the managed application before changes to this property take effect.

introscope.agent.enterprisemanager.connectionorder=DEFAULT


#################################
# Enterprise Manager Locations and Names 
# (names defined in this section are only used in the 
# introscope.agent.enterprisemanager.connectionorder property)
#
# ================
# Settings the Introscope Agent uses to find the Enterprise Manager 
# and names given to host and port combinations.
# You must restart the managed application before changes to this property take effect.

introscope.agent.enterprisemanager.transport.tcp.host.DEFAULT=192.168.56.101
#introscope.agent.enterprisemanager.transport.tcp.host.DEFAULT=meaje04win7.ca.com
introscope.agent.enterprisemanager.transport.tcp.port.DEFAULT=5001
introscope.agent.enterprisemanager.transport.tcp.socketfactory.DEFAULT=com.wily.isengard.postofficehub.link.net.DefaultSocketFactory


#################################
# Enterprise Manager Failback Retry Interval
#
# ================
# When the Agent is configured to have multiple Enterprise Managers
# in its connection order and this property is enabled, the Introscope 
# Agent will automatically attempt to reconnect to the first Enterprise
# Manager in its connection order when it is connected to any other
# Enterprise Manager. The reconnection attempt will occur on a regular
# interval as specified.
# You must restart the managed application before changes to this property take effect.

#introscope.agent.enterprisemanager.failbackRetryIntervalInSeconds=120


#######################
# Custom Process Name
#
# ================
# Specify the process name as it should appear in the
# Introscope Enterprise Manager and Workstation.
# You must restart the managed application before changes to this property take effect.

#introscope.agent.customProcessName=CustomProcessName


#######################
# Default Process Name
#
# ================
# If no custom process name is provided and the
# agent is unable to determine the name of the
# main application class, this value will be
# used for the process name.
# You must restart the managed application before changes to this property take effect.

introscope.agent.defaultProcessName=psEPA


#######################
# Agent Name
#
# ================
# Specify the name of this agent as it appears in the
# Introscope Enterprise Manager and Workstation.
# You must restart the managed application before changes to this property take effect.

# This enables/disables auto naming of the agent using
# a custom service.
introscope.agent.agentAutoNamingEnabled=false

# The amount of time to delay connecting to the Introscope Enterprise
# Manager while Agent Auto Naming is attempted.
introscope.agent.agentAutoNamingMaximumConnectionDelayInSeconds=120

# When Agent Auto Naming is enabled, the Agent will check for 
# a new name based on the runtime environment on the specified interval.
introscope.agent.agentAutoRenamingIntervalInMinutes=10

# Auto name of log files (Agent and AutoProbe) with
# the Agent name or a timestamp can be disabled by setting the 
# value of this property to 'true'.  Log file auto naming only 
# takes effect when the Agent name can be determined using an 
# Environment Variable or based on the current runtime.
introscope.agent.disableLogFileAutoNaming=true

# Uncomment this property to provide a default Agent Name 
# if the other methods fail.
introscope.agent.agentName=PowershellAgent

# Fully Qualified Domain Name (FQDN) can be enabled by setting this property  
# value to 'true'. By Default (false) it will display HostName.
# You must restart the managed application before changes to this property take effect.
introscope.agent.display.hostName.as.fqdn=false


#######################
# Agent Socket Rate Metrics
#
# ================
# Set to true to enable the reporting of input and
# output bandwidth rate metrics for individual sockets.
# You must restart the managed application before changes to this property take effect.

introscope.agent.sockets.reportRateMetrics=true

############################### 
#Agent Memory Overhead Setting 
# 
# ======================= 
# Set to true if you want to attempt to reduce the agent memory overhead introduced by architectural improvements to the 8.x Agent.
# Increased Agent memory overhead only occurs in certain extreme cases.
# The trade-off for the possible lower memory consumption is a possible increase in response time.  
# Each application is unique and will experience different variations in Memory vs. Response Time trade-offs.
# This property is set to false by default and out of the box is commented out. This is not a hot property 
# and the managed application needs to be restarted for this flag to take effect. 
     
#introscope.agent.reduceAgentMemoryOverhead=true 

#######################
# Agent Extensions Directory
#
# ================
# This property specifies the location of all extensions to be loaded
# by the Introscope Agent.  Non-absolute names are resolved relative 
# to the location of this properties file.
# You must restart the managed application before changes to this property take effect.

introscope.agent.extensions.directory=ext



#######################
# Agent Thread Priority
#
# ================
# Controls the priority of agent threads.  Varies
# from 0 (low) to 4 (high). Default value if unspecified is Thread.ThreadPriority.Normal (2)

#introscope.agent.thread.all.priority=2



#######################
# Cloned Agent Configuration
#
# ================
# Set to true when running identical copies of an application on the same machine.
# You must restart the managed application before changes to this property take effect.

introscope.agent.clonedAgent=false


############################# 
# Restricted Instrumentation 
# 
# =========================== 
# Enable/Disable instrumentation for targeted set of processes. 
# By Default, there is no restriction on instrumentation.  In other words, every 
# managed application and application pools (for IIS 6.0 or later) will be 
# instrumented if the properties are not set (or commented out).


# To restrict instrumentation to ASP.NET applications only, set the property 
# introscope.agent.dotnet.monitorApplications to w3wp.exe for IIS 6.0 or later
# and aspnet_wp.exe for IIS 5.  Add additional executable names to the list 
# to instrument them.  Full pathnames with single backslashes are also
# acceptable.  For example, 
# c:\windows\microsoft.net\framework\v1.1.4322\aspnet_wp.exe.
introscope.agent.dotnet.monitorApplications=w3wp.exe,aspnet_wp.exe
 
# Uncomment the following property and specify IIS application pools to be instrumented.
# Application pool names must be in quotes. Use "NULL" to specify applications not running in any application pool.
#introscope.agent.dotnet.monitorAppPools= "NULL","DefaultAppPool","AppPool1","AppPool2"

 
#######################
# PerfMon Configuration
#
# ================
# Properties controlling Perfmon metric collection.
# You must restart the managed application before changes to PerfMon properties take effect.

# System toggle to enable PerfMon metric collection.
# introscope.agent.perfmon.enable=true

# Counter expressions are separated by commas.  New counters (e.g. |Thread|{osprocessname}*|*) can be appended to the list.
introscope.agent.perfmon.metric.filterPattern=|Processor|*|*,|.NET Data Provider*|*|*,|.NET CLR*|{osprocessname}|*,|.NET CLR Data|*|*,|Process|{osprocessname}|*,|ASP.NET*|*

# Agent expression enable/disables Perfmon reporting in specific Agent processes.  By default, Perfmon metrics are collected on all Agents.
introscope.agent.perfmon.agentExpression=*|*

# Maximum number of Perfmon metrics reported in each interval.
#introscope.agent.perfmon.metric.limit=1000

# Intervals in which Perfmon metrics are collected.  Default is 15 seconds.
introscope.agent.perfmon.metric.pollIntervalInSeconds=15

# Intervals in which new Perfmon categories are discovered.  Default is 600 seconds (or 10 minutes).
introscope.agent.perfmon.category.browseIntervalInSeconds=600

# Flag to enable/disable new Perfmon category discovery.  Default is true (enabled).
introscope.agent.perfmon.category.browseEnabled=true

#######################
# SQL Agent Configuration
#
# ================
# Configuration settings for Introscope SQL Agent

# The following setting configures SQL Agent to optionally participate
# in the Introscope blame stack, thus creating blame metrics.
# You must restart the managed application before changes to this property take effect.

introscope.agent.sqlagent.useblame=true



######################################
# SQL Agent Normalizer extension
#
# ================
# Configuration settings for SQL Agent normalizer extension


# Specifies the name of the sql normalizer extension that will be used 
# to override the preconfigured normalization scheme. To make custom 
# normalization extension work, the value of its manifest attribute 
# com-wily-Extension-Plugin-{pluginName}-Name should match with the 
# value given to this property. If you specify a comma separated list 
# of names, only the first name will be used. Example, 
# introscope.agent.sqlagent.normalizer.extension=ext1, ext2
# Only ext1 will be used for normalization. By default we now ship the  
# RegexSqlNormalizer extension
# Changes to this property take effect immediately and do not 
# require the managed application to be restarted.

#introscope.agent.sqlagent.normalizer.extension=RegexSqlNormalizer

##############################
# RegexSqlNormalizer extension
#
# ==================
# The following properties pertain to RegexSqlNormalizer which 
# uses regex patterns and replace formats to normalize the sql in 
# a user defined way. 


# This property if set to true will make sql strings to be
# evaluated against all the regex key groups. The implementation
# is chained. Hence, if the sql matches multiple key groups, the
# normalized sql output from group1 is fed as input to group2 and 
# so on. If the property is set to 'false', as soon as a key group  
# matches, the normalized sql output from that group is returned
# Default value is 'false'
#introscope.agent.sqlagent.normalizer.regex.matchFallThrough=true

# This property specifies the regex group keys. They are evaluated in order
# Changes to this property take effect immediately and do not 
# require the managed application to be restarted.
#introscope.agent.sqlagent.normalizer.regex.keys=key1

# This property specifies the regex pattern that will be used
# to match against the sql. All valid regex alowed by 
# System.Text.RegularExpressions namespace can be used here.
# Changes to this property take effect immediately and do not 
# require the managed application to be restarted.
# eg: (\\b[0-9,.]+\\b) will filter all number values, ('.*?') will filter
# anything between single quotes, ((?i)\\bTRUE\\b|\\bFALSE\\b) will filter
# boolean values from the query.
#introscope.agent.sqlagent.normalizer.regex.key1.pattern=(".*?")|('.*?')|(\\b[0-9,.]+\\b)|((?i)\\bTRUE\\b|\\bFALSE\\b)

# This property if set to 'false' will replace the first occurrence of the
# matching pattern in the sql with the replacement string. If set to 'true'
# it will replace all occurrences of the matching pattern in the sql with
# replacement string
# Changes to this property take effect immediately and do not 
# require the managed application to be restarted.
# Default value is 'false'
#introscope.agent.sqlagent.normalizer.regex.key1.replaceAll=true

# This property specifies the replacement string format. All valid 
# regex allowed by System.Text.RegularExpressions namespace can be used here.
# eg: The default normalizer replaces the values with a question mark (?)
# Changes to this property take effect immediately and do not 
# require the managed application to be restarted.
#introscope.agent.sqlagent.normalizer.regex.key1.replaceFormat=?

# This property specifies whether the pattern match is sensitive to case
# Changes to this property take effect immediately and do not 
# require the managed application to be restarted.
#introscope.agent.sqlagent.normalizer.regex.key1.caseSensitive=false



#######################
# Transaction Tracer Configuration
#
# ================
# Configuration settings for Introscope Transaction Tracer

# The following settings configure Transaction Tracer to optionally
# capture the user ID used to invoke frontend components if it is stored
# in one of the three following ways.  Uncomment the set of properties
# that correspond to how user IDs are stored in your application.
# Make sure only one set of properties are uncommented or the wrong
# properties could be used.
# You must restart the managed application before changes to this property take effect.

# Uncomment the following property if the user ID is accessed through the Http Context identity
introscope.agent.transactiontracer.userid.method=HttpContext.User.Identity.Name

# Uncomment the following property if the user ID is accessed through the URL user info
#introscope.agent.transactiontracer.userid.method=HttpContext.Request.Uri.UserInfo

# Uncomment the following properties if the user ID is an Http  request header
#introscope.agent.transactiontracer.userid.method=HttpRequest.Headers.Get
#introscope.agent.transactiontracer.userid.key=<application defined key string>


# Uncomment the following properties if the user ID is an attribute in the Http Session
#introscope.agent.transactiontracer.userid.method=HttpContext.Session.Contents
#introscope.agent.transactiontracer.userid.key=<application defined key string>

# Uncomment the following properties to record specific http request headers, parameters or session
#  attributes in the Transaction Tracer data.

#introscope.agent.transactiontracer.parameter.httprequest.headers=User-Agent
#introscope.agent.transactiontracer.parameter.httprequest.parameters=parameter1,parameter2
#introscope.agent.transactiontracer.parameter.httpsession.attributes=attribute1,attribute2

# Uncomment the following property to specify the maximum number of components allowed in a Transaction 
# Trace.  By default, the clamp is set at 5000.   
# Note that any Transaction Trace exceeding the clamp will be discarded at the agent, 
# and a warning message will be logged in the Agent log file.
# Warning: If this clamp size is increased, the requirement on the memory will be higher and
# as such.
# Changes to this property take effect immediately and do not require the managed application to be restarted.
#introscope.agent.transactiontrace.componentCountClamp=5000

# Uncomment the following property to specify the maximum depth of components allowed in
# head filtering, which is the process of examining the start of a transaction for
# the purpose of potentially collecting the entire transaction.  Head filtering will
# check until the first blamed component exits, which can be a problem on very deep
# call stacks when no clamping is done.  The clamp value will limit the memory and
# CPU utilization impact of this behavior by forcing the agent to only look up to a
# fixed depth.  By default, the clamp is set at 30.   
# Note that any Transaction Trace whose depth exceeds the clamp will no longer be examined
# for possible collection UNLESS some other mechanism, such as sampling or user-initiated
# transaction tracing, is active to select the transaction for collection.
# Warning: If this clamp size is increased, the requirement on the memory will be higher and
# as such, garbage collection behavior may be affected, which will have an application-wide
# performance impact.
# Changes to this property take effect immediately and do not require the managed application to be restarted.
#introscope.agent.transactiontrace.headFilterClamp=30

#
# Use compression to reduce the size of cross process tracing data. This option will increase agent CPU overhead, 
# but reduce the size of interprocess headers.
# Valid options are lzma or none
# Note that Java agents also support gzip option, so if interoperability is required make sure they do not use gzip.
introscope.agent.crossprocess.compression=lzma
# Minimum length of cross process parameter data length for which to apply compression
introscope.agent.crossprocess.compression.minlimit=1500
# Maximum size of cross process parameter data allowed.
# If total size of cross process parameter even after applying compression (if allowed) is more than this limit,
# some data will be dropped and some cross process correlation functionality will not work properly.
# However, this settings will protect user transactions from failing in network transmission due to too large header size.
introscope.agent.crossprocess.correlationid.maxlimit=4096
# Changes to above 3 properties take effect immediately and do not require the managed application to be restarted

# Uncomment the following property to disable Transaction Tracer Sampling
# Changes to this property take effect immediately and do not require the managed application to be restarted.
#introscope.agent.transactiontracer.sampling.enabled=false

# The following property limits the number of transactions that are reported by the agent 
# per reporting cycle. The default value if the property is not set is 200.
# You must restart the managed application before changes to this property take effect.
introscope.agent.ttClamp=50

########################
# TT Sampling
# ================
# These are normally configured in the EM. Configuring in the Agent disables configuring
# them in the EM
# You must restart the managed application before changes to this property take effect.

#introscope.agent.transactiontracer.sampling.perinterval.count=1
#introscope.agent.transactiontracer.sampling.interval.seconds=120


#################################
# Cross Process Transaction Trace
# ===============================
# This property controls whether the presence of a tail filter triggers 
# automatic collection of traces from downstream agents or not. This property 
# does not affect collection of automatic downstream traces due to passing of
# head filters. 
# Uncomment the following property to enable automatic collection of downstream 
# traces due to tail filter. Its disabled by default. Enabling this property
# and running long periods of Transaction Trace session with tail filters can 
# cause large number of unwanted traces to be sent to the EM
# Changes to this property take effect immediately and do not require the managed 
# application to be restarted.

#introscope.agent.transactiontracer.tailfilterPropagate.enable=false



########################
# Enabling Collection of Filtered Parameters
# ================
# By default, the .NET Agent reports only the URL for transactions it traces.  
# Reporting of individual HTTP properties is restricted to minimize the impacts of transaction tracing on system overhead.  
# To enable filtering you must first enable collection of HTTP properties, by setting this property to false.
# By default this property is set to true.    
# Enables collection of: Application Name, Context Path, URL
# You must restart the managed application before changes to this property take effect.
#introscope.agent.asp.disableHttpProperties=false


#######################
# Agent Metric Clamp Configuration
#
# ================
# The following setting configures the Agent to approximately clamp the number of metrics sent to the EM  
# If the number of metrics pass this metric clamp value then no new metrics will be created.  Old metrics will still report values.
# If the property is not set then no metric clamping will occur.  
# Changes to this property take effect immediately and do not require the managed application to be restarted.
# introscope.agent.metricClamp=5000

#######################
# URL Grouping Configuration
#
# ================
# Configuration settings for Frontend naming.  By default, all frontends
# go into the "Default" group.  This is done so that invalid URLs (i.e.
# those that would generate a 404 error) do not create unique, one-time
# metrics -- this can bloat the EM's memory.  To get more meaningful
# metrics out of the Frontends|Apps|URLs tree, set up URL groups that
# are relevant to the deployment
# Changes to this property take effect immediately and do not require the managed application to be restarted.
introscope.agent.urlgroup.keys=default
introscope.agent.urlgroup.group.default.pathprefix=*
introscope.agent.urlgroup.group.default.format=Default


#######################
# Stall Configuration
#
# ================
# Configuration settings for stall detection
# Minimum threshold for stall event duration
# Changes to this property take effect immediately and do not require the managed application to be restarted.
introscope.agent.stalls.thresholdseconds=30

# Frequency that the agent checks for stall events
# Changes to this property take effect immediately and do not require the managed application to be restarted.
introscope.agent.stalls.resolutionseconds=10

####################### 
# LeakHunter Configuration 
# 
# ================ 
# Configuration settings for Introscope LeakHunter 
# You must restart the managed application before changes to this property take effect.  
  
# Controls whether the feature is enabled if the LeakHunter Add-on is present. 
# Set the value to true to enable LeakHunter. 
  
introscope.agent.leakhunter.enable=false 
  
# Controls the location for the LeakHunter log file. 
# Relative filenames are relative to the application working directory. 
# Leave the value blank if you do not want LeakHunter to record data 
# to a log file. 
  
introscope.agent.leakhunter.logfile.location=logs/LeakHunter.log 
  
# Controls whether LeakHunter will append or overwrite the log file. 
# Set the value to true to append to the log file. 
  
introscope.agent.leakhunter.logfile.append=false 
  
# Controls the sensitivity of the leak detection algorithm. 
# The value should be an integer from 1-10.  A higher 
# sensitivity setting will result in more potential leaks 
# reported and a lower sensitivity will result in fewer 
# potential leaks reported. 
  
introscope.agent.leakhunter.leakSensitivity=5 
  
# Controls the length of time LeakHunter spends looking for new 
# potential leaks.  After the timeout, LeakHunter will stop looking 
# for new potential leaks and just continue tracking the previously 
# identified potential leaks.  Set the value to zero if you want 
# LeakHunter to always look for new potential leaks. 
  
introscope.agent.leakhunter.timeoutInMinutes=120 
  
# Controls whether LeakHunter generates allocation stack traces for 
# potential leaks.  Turning this on gives you more precise data about 
# the potential leak's allocation, but requires additional memory and 
# CPU overhead.  For this reason, the default setting is false. 
# Changes to this property take effect immediately and do not require the managed application to be restarted.  
introscope.agent.leakhunter.collectAllocationStackTraces=false 


# Ignore properties let the user specify particular collections that should
# be ignored by leakhunter. For Generic collections, use a syntax that includes
# the generic type qualification like System.Collections.Generic.List`1
# Changes to this property take effect immediately and do not require the managed application to be restarted.
#introscope.agent.leakhunter.ignore.0=


####################### 
# Error Detector Configuration 
# 
# ================ 
# Configuration settings for Error Detector 
# You must restart the managed application before changes to this property take effect.  
  
# Please include errors.pbd in your pbl (or in introscope.autoprobe.directivesFile) 
  
# The error snapshot feature captures transaction details about serious errors 
# and enables recording of error count metrics. 
# Changes to this property take effect immediately and do not require the managed application to be restarted.
introscope.agent.errorsnapshots.enable=true
  
# The following setting configures the maximum number of error snapshots 
# that the Agent can send in a 15-second period. 
# Changes to this property take effect immediately and do not require the managed application to be restarted.
introscope.agent.errorsnapshots.throttle=10 
  
# The following series of properties lets you specify error messages  
# to ignore.  Error snapshots will not be generated or sent for 
# errors with messages matching these filters.  You may specify 
# as many as you like (using .0, .1, .2 ...). You may use wildcards (*).   
# The following are examples only. 
# Changes to this property take effect immediately and do not require the managed application to be restarted.
#introscope.agent.errorsnapshots.ignore.0=*com.company.HarmlessException* 
#introscope.agent.errorsnapshots.ignore.1=*HTTP Error Code: 404* 


################################
# Agent Metric Aging
# ==============================
# Detects metrics that are not being updated consistently with new data and removes these metrics.
# By removing these metrics you can avoid metric explosion.    
# Metrics that are in a group will be removed only if all metrics under this group are considered candidates for removal.
# BlamePointTracer metrics are considered a group.  
#
# Enable/disable the metric agent aging feature. 
# Changes to this property take effect immediately and do not require the managed application to be restarted.
introscope.agent.metricAging.turnOn=true
#
# The time interval in seconds when metrics are checked for removal
# You must restart the managed application before changes to this property take effect.
introscope.agent.metricAging.heartbeatInterval=1800
#
# During each interval, the number of metrics that are checked for metric removal
# Changes to this property take effect immediately and do not require the managed application to be restarted.
introscope.agent.metricAging.dataChunk=500
#
# The metric becomes a candidate for removal when it reaches the number of intervals set (numberTimeslices) and has not invoked any new data points during that period.  
# If the metric does invoke a new data point during that period then the numberTimeslices resets and starts over.  
# Changes to this property take effect immediately and do not require the managed application to be restarted.
introscope.agent.metricAging.numberTimeslices=3000
#
# You can choose to ignore metrics from removal by adding the metric name or metric filter to the list below.  
# Changes to this property take effect immediately and do not require the managed application to be restarted.
#introscope.agent.metricAging.metricExclude.ignore.0=



#########################################
# ChangeDetector configuration properties
# =======================================
# On/Off Switch
#
# ================
# This boolean property gives you the ability to enable
# Introscope ChangeDetector by settings the property value
# to true. It is set to false by default.
# You must restart the managed application before changes to this property take effect.
introscope.changeDetector.enable=false
#######################
# Root directory 
#
# ================
# The root directory is the folder where ChangeDetector creates its local cache files. 
# Use a backslash to escape the backslash character, as in the example.   
introscope.changeDetector.rootDir=C:\\Program Files\\CA Wily\\Introscope9.0.7.1\\wily\\change_detector
#######################
# Startup wait time 
#
# ================
# Time to wait after agent starts before trying to connect to the Enterprise manager
introscope.changeDetector.isengardStartupWaitTimeInSec=15
#######################
# Interval between connection attempts
#
# ================
# Specify the number of seconds to wait before retrying connection to the Enterprise manager
introscope.changeDetector.waitTimeBetweenReconnectInSec=10
#######################
# Agent ID
#
# ================
# A string used by ChangeDetector to identify this agent
introscope.changeDetector.agentID=
#
#######################
# Data source configuration file path 
#
# ================
# The absolute or relative path to the ChangeDetector datasources configuration file.
# Use a backslash to escape the backslash character.   
introscope.changeDetector.profile=ChangeDetectorDotnet-config.xml
#
#######################
# Data source configuration file directory
#
# ================
# The absolute or relative path to the datasource configuration file(s) directory.
# Use a backslash to escape the backslash character.
# All datasource configuration file(s) from this directory will be used in addition
# to any file specified by introscope.changeDetector.profile property.
#introscope.changeDetector.profileDir=changeDetector_profiles

#########################################
# HTTP Header Decorator
# =======================================
# On/Off Switch
#
# ================
# If this Boolean value is set to true, it configures the agent to add
# additional performance monitoring information to HTTP response
# headers.  HTTPHeaderDecorator attaches the GUID to each transaction 
# and inserts the GUID into an HTTP header, x-wily-info
# This enables the correlation of transaction between Wily CEM and Wily Introscope
introscope.agent.decorator.enabled=false

#######################
# Application Map Transaction sampling 
#
# ================
# Transaction sampling currently affects only Application Map tracers.
# After agent start for the initial period all trnsactions are tracerd 
# (i.e. sampling rate of 1:1). Then for duration of same period the sampling 
# rate is gradually incresed until it reaches maxrate.
#
# Note that the periods are given in number of transactions detected rather
# than seconds.
#
# Changes to following properties take effect immediately and do not require the managed application to be restarted.
#
# Maximum sampling rate to use for sampling. By default 1 out 10 transactions are
# monitored. Set value to 0 to disable sampling and monitor all transactions.
#introscope.agent.tracer.sampling.maxrate=10
#
# Period for which all transaction is traced in number of transactions passed. 
# Default value is 100 
#introscope.agent.tracer.sampling.initial.period=100
#
# Period after which sampling counter is reset, and after which all transactions 
# are monitored again for number of transactions specified in initial period.
# Default value is 10000
#introscope.agent.tracer.sampling.reset.period=10000

#######################
# Application Map Agent Side
#
# ================
#Enable/disable tracking in the monitored code for Application Map
introscope.agent.appmap.enabled=true

#Enable/disable tracking of metrics for app map nodes. 
#Default value is false
#introscope.agent.appmap.metrics.enabled=true

#Enable/disable sending additional information for integration with catalyst
#default value is false
#introscope.agent.appmap.catalystIntegration.enabled=true

#Set the buffer size for app map data
#default value is 1000. Must be a positive integer. If the value is set to 0, the buffer is 
#unbounded. 
#introscope.agent.appmap.queue.size=1000

#Set the frequency in milliseconds for sending app map data to the EM.
#default value is 1000. Must be a positive integer. 
# If the value is set to 0, the default value is used.
#introscope.agent.appmap.queue.period=1000

#Enable/disable sending additional intermediate nodes between application frontend and 
# backend nodes.
#Default value is false.
# Change to this property takes effect immediately and do not require the managed application to be restarted.
#introscope.agent.appmap.intermediateNodes.enabled=true

#######################
# Business Recording 
#
# ================
# Enable/disable business recording
# You must restart the managed application before changes to this property take effect.
introscope.agent.bizRecording.enabled=true
#
# Match POST parameter patterns before the servlets execute; THIS CAN POTENTIALLY BREAK USER APPLICATIONS
# Please consult a technical CA Wily representative or CA Support before enabling
#introscope.agent.bizdef.matchPost = before
# Never attempt to match POST parameters. This option is fastest, but may result in inaccurate business transaction component matching
#introscope.agent.bizdef.matchPost = never
# Match POST parameter patterns after servlet has executed. Cross process mapping and some metrics will not be available
introscope.agent.bizdef.matchPost = after
