function get-aspnetwp([string]$name="*")
{
   $list = get-process w3wp
   foreach($p in $list)
   {
      $filter = "Handle='" + $p.Id + "'"
      $wmip = get-WmiObject Win32_Process -filter $filter

      if($wmip.CommandLine -match "-ap `"(.+)`"")
      {
         $appName = $matches[1]
         $p | add-member NoteProperty AppPoolName $appName
      }
   }
   $list | where { $_.AppPoolName -like $name }
}

get-aspnetwp | foreach {
$metricName = "Processes|" +$_.name + "|AppPool|" + $_.AppPoolName + ":Name"
	$metricValue =   $_.AppPoolName
	$metric = $metricName + "=" + $metricValue
	write-output $metric
}
