# 3/21 - added check for blank session name when disconnected
# 3/21 = report rdp counts 

$active_ica = 0
$active_rdp = 0
$dis_ica = 0
$dis_rdp = 0
$total_ica = 0
$total_rdp = 0

$sessions = Get-XaSession

foreach ($objItem in $sessions) {
	
	#write-host $objItem.State $objItem.Protocol
	
	if ($objItem.State -eq "Active" -and $objItem.Protocol -eq "Ica") { $active_ica++ }
	if ($objItem.State -eq "Active" -and $objItem.Protocol -eq "Rdp") { $active_rdp++}
	
	if ($objItem.State -eq "Disconnected" -and $objItem.Protocol -eq "Ica") { $dis_ica++}	
	if ($objItem.State -eq "Disconnected" -and $objItem.Protocol -eq "Rdp") { $dis_rdp++}	
	
	if ( $objItem.Protocol -eq "Ica") {$total_ica++}
	if ( $objItem.Protocol -eq "Rdp") {$total_rdp++}
	
	if ($objItem.SessionName) {$clrsessionName = $objItem.SessionName.Replace('#','')

       	if ($objItem.AccountName) {
		$metric = "Sessions|"+$clrsessionName+":Account="+$objItem.AccountName
		write-output $metric
		$metric = "Sessions|"+$clrsessionName+":State="+$objItem.state
		write-output $metric
		$metric = "Sessions|"+$clrsessionName+":ApplicationState="+$objItem.applicationstate
		write-output $metric
	}
	}
}	
write-output "Sessions:ICA Active=$active_ica"
write-output "Sessions:RDP Active=$active_rdp"
write-output "Sessions:ICA Disconnected=$dis_ica"
write-output "Sessions:RDP Disconnected=$dis_rdp"
write-output "Sessions:ICA Total=$total_ica"
write-output "Sessions:RDP Total=$total_rdp"


